> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get avatar draft

> Get the current user's unfinished Podcast avatar draft.

MCP tool: `podcast_get_avatar_draft`. OAuth scope: `asset.read`.


## OpenAPI

````yaml api-reference/openapi.json GET /open/podcast/v1/avatar/draft
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/avatar/draft:
    get:
      tags:
        - Podcast
      summary: get avatar draft
      description: Get the current user's unfinished Podcast avatar draft.
      operationId: podcast_get_avatar_draft
      parameters:
        - description: 数字人类型，为空时筛选default，为all时筛选pet和cartoon，其他值时筛选对应类型
          in: query
          name: avatar_type
          schema:
            type: string
        - description: podcast版本，有传时按AigcPacks.PodcastVersion筛选
          in: query
          name: podcast_version
          schema:
            enum:
              - 10
              - 20
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/vo.GetDraftPodcastAvatarResp'
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    vo.GetDraftPodcastAvatarResp:
      properties:
        podcast_avatars:
          description: 草稿对话数字人列表
          items:
            $ref: '#/components/schemas/vo.PodcastAvatarDraftItem'
          type: array
      type: object
    vo.PodcastAvatarDraftItem:
      properties:
        err_msg:
          description: 错误信息
          type: string
        is_failed:
          description: 已完成的photo任务中是否存在失败
          type: boolean
        podcast_avatar_id:
          type: integer
        podcast_avatars:
          description: 长度为2的数组 一对pack
          items:
            $ref: '#/components/schemas/vo.PacksListResp'
          type: array
      type: object
    vo.PacksListResp:
      properties:
        id:
          description: 记录的唯一标识符
          type: integer
        name:
          description: 名称
          type: string
        photo_url:
          description: 图片地址
          type: string
        status:
          description: 状态：1-photo生成中；2-photo生成完成；3-motion生成中；4-avatar制作中；4-完成
          type: integer
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````